org.apache.poi.sl.draw.binding

## Class CTPolarAdjustHandle

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTPolarAdjustHandle

-     public class CTPolarAdjustHandle
      extends java.lang.Object

  Java class for CT_PolarAdjustHandle complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_PolarAdjustHandle">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="pos" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_AdjPoint2D"/>
             </sequence>
             <attribute name="gdRefR" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_GeomGuideName" />
             <attribute name="minR" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="maxR" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="gdRefAng" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_GeomGuideName" />
             <attribute name="minAng" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjAngle" />
             <attribute name="maxAng" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjAngle" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `gdRefAng`
    `protected java.lang.String` | `gdRefR`
    `protected java.lang.String` | `maxAng`
    `protected java.lang.String` | `maxR`
    `protected java.lang.String` | `minAng`
    `protected java.lang.String` | `minR`
    `protected CTAdjPoint2D` | `pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTPolarAdjustHandle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGdRefAng()` Gets the value of the gdRefAng property.
    `java.lang.String` | `getGdRefR()` Gets the value of the gdRefR property.
    `java.lang.String` | `getMaxAng()` Gets the value of the maxAng property.
    `java.lang.String` | `getMaxR()` Gets the value of the maxR property.
    `java.lang.String` | `getMinAng()` Gets the value of the minAng property.
    `java.lang.String` | `getMinR()` Gets the value of the minR property.
    `CTAdjPoint2D` | `getPos()` Gets the value of the pos property.
    `boolean` | `isSetGdRefAng()`
    `boolean` | `isSetGdRefR()`
    `boolean` | `isSetMaxAng()`
    `boolean` | `isSetMaxR()`
    `boolean` | `isSetMinAng()`
    `boolean` | `isSetMinR()`
    `boolean` | `isSetPos()`
    `void` | `setGdRefAng(java.lang.String value)` Sets the value of the gdRefAng property.
    `void` | `setGdRefR(java.lang.String value)` Sets the value of the gdRefR property.
    `void` | `setMaxAng(java.lang.String value)` Sets the value of the maxAng property.
    `void` | `setMaxR(java.lang.String value)` Sets the value of the maxR property.
    `void` | `setMinAng(java.lang.String value)` Sets the value of the minAng property.
    `void` | `setMinR(java.lang.String value)` Sets the value of the minR property.
    `void` | `setPos(CTAdjPoint2D value)` Sets the value of the pos property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pos

          protected CTAdjPoint2D pos

    - #### gdRefR

          protected java.lang.String gdRefR

    - #### minR

          protected java.lang.String minR

    - #### maxR

          protected java.lang.String maxR

    - #### gdRefAng

          protected java.lang.String gdRefAng

    - #### minAng

          protected java.lang.String minAng

    - #### maxAng

          protected java.lang.String maxAng

  - ### Constructor Detail

    - #### CTPolarAdjustHandle

          public CTPolarAdjustHandle()

  - ### Method Detail

    - #### getPos

          public CTAdjPoint2D getPos()

      Gets the value of the pos property.
      Returns:
        possible object is `CTAdjPoint2D`

    - #### setPos

          public void setPos(CTAdjPoint2D value)

      Sets the value of the pos property.
      Parameters:
        `value` - allowed object is `CTAdjPoint2D`

    - #### isSetPos

          public boolean isSetPos()

    - #### getGdRefR

          public java.lang.String getGdRefR()

      Gets the value of the gdRefR property.
      Returns:
        possible object is `String`

    - #### setGdRefR

          public void setGdRefR(java.lang.String value)

      Sets the value of the gdRefR property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetGdRefR

          public boolean isSetGdRefR()

    - #### getMinR

          public java.lang.String getMinR()

      Gets the value of the minR property.
      Returns:
        possible object is `String`

    - #### setMinR

          public void setMinR(java.lang.String value)

      Sets the value of the minR property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetMinR

          public boolean isSetMinR()

    - #### getMaxR

          public java.lang.String getMaxR()

      Gets the value of the maxR property.
      Returns:
        possible object is `String`

    - #### setMaxR

          public void setMaxR(java.lang.String value)

      Sets the value of the maxR property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetMaxR

          public boolean isSetMaxR()

    - #### getGdRefAng

          public java.lang.String getGdRefAng()

      Gets the value of the gdRefAng property.
      Returns:
        possible object is `String`

    - #### setGdRefAng

          public void setGdRefAng(java.lang.String value)

      Sets the value of the gdRefAng property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetGdRefAng

          public boolean isSetGdRefAng()

    - #### getMinAng

          public java.lang.String getMinAng()

      Gets the value of the minAng property.
      Returns:
        possible object is `String`

    - #### setMinAng

          public void setMinAng(java.lang.String value)

      Sets the value of the minAng property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetMinAng

          public boolean isSetMinAng()

    - #### getMaxAng

          public java.lang.String getMaxAng()

      Gets the value of the maxAng property.
      Returns:
        possible object is `String`

    - #### setMaxAng

          public void setMaxAng(java.lang.String value)

      Sets the value of the maxAng property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetMaxAng

          public boolean isSetMaxAng()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.